#ifndef _XMLESCAPER_H_INCLUDED_
#define _XMLESCAPER_H_INCLUDED_
///////////////////////////////////////////////////////////////////////////////
//
// XMLEscaper.h
// ------------
// XML Escape character treatment
//               
// Design and Implementation by Bjoern Lemke
//
// (C)opyright 2000-2013 Bjoern Lemke
//
// INTERFACE MODULE
//
// Class: XMLEscaper
// 
// Description: 
//
// Status: IMPLEMENTED
//
///////////////////////////////////////////////////////////////////////////////

// INCLUDES
#include <lfcbase/Chain.h>

class XMLEscaper {
 
 public:
  
    XMLEscaper();
     ~XMLEscaper();
     
     void escape(Chain& target);
     void descape(Chain& target);
     
 private:
  
};

#endif

